PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - r -

- RadioButton() : PHTML::RadioButton
- RawSSLRead() : PSSLChannel
- rbegin() : PSortedList< T > , PList< T >
- Read() : PStructuredFile , PQueueChannel , PTelnetSocket , PSocket , PVXMLChannel , XMPP::Stream , PSocket , PSoundChannel , PChannel , PTCPSocket , PUDPSocket , PNullChannel , PVideoChannel , PDelayChannel , PEthSocket , PInternetProtocol , PMemoryFile , PEthSocket::Frame , PMIMEInfo , PMonitoredSockets::SocketInfo , PFile , PMonitoredSocketChannel , PSSLChannel , PIndirectChannel , PSTUNMessage , PXMLStreamParser
- ReadAsync() : PChannel
- ReadBlock() : PChannel
- ReadChar() : PChannel , PInternetProtocol
- ReadCharWithTimeout() : PChannel
- ReadCommand() : PInternetProtocol
- ReadContentBody() : PHTTPClient
- ReadElementFrom() : PAbstractArray , PScalarArray< T >
- ReadEntityBody() : PHTTPServer
- ReadFrame() : PEthSocket , PVXMLChannel
- ReadFrom() : PSortedStringList , PStringSet , POrdinalToString , PStringToOrdinal , PStringToString , PTime , PTimeInterval , PGloballyUniqueID , PIpAccessControlEntry , PMIMEInfo , PXML , PSocksUDPSocket , PURL , PVarType , PArgList , PAbstractArray , PCharArray , PBYTEArray , PIPDatagramSocket , PObject , PString , PStringArray , PStringList
- ReadFromBundle() : PMonitoredSockets , PMonitoredSocketBundle , PSingleMonitoredSocket
- ReadFromSocketList() : PMonitoredSockets
- ReadLine() : PTextFile , PInternetProtocol
- ReadPing() : PICMPSocket
- ReadRequest() : PSNMPClient
- ReadResponse() : PHTTPClient , PInternetProtocol
- ReadString() : PChannel
- Realloc() : PVarType::Variant::Dynamic
- Reallocate() : PMemoryHeap
- Recalculate() : PURL
- Receive() : PAec
- ReceiveCommandString() : PChannel
- ReceivedTag() : PRFC822Channel
- ReceiveSocksResponse() : PSocksProtocol , PSocks4Socket
- RecordFile() : PSoundChannel
- RecordSet() : PODBC::RecordSet
- RecordSound() : PSoundChannel
- Redraw() : PVideoChannel
- RefererTag() : PHTTP
- Refresh() : XMPP::Roster
- RefreshAllocation() : PTURNClient
- RefreshInterfaceList() : PInterfaceMonitor
- Register() : PProcess::HostSystemURLHandlerInfo
- RegisterService() : PPluginManager
- RegisterTypes() : PProcess::HostSystemURLHandlerInfo
- ReleaseVariable() : PScriptLanguage
- Remove() : PIpAccessControlList , PSafeColl< Coll, Base > , PStringOptions , PAbstractSortedList , PArrayObjects , PCollection , PAbstractSet , PFile , PAbstractList , PNotifierListTemplate< ParamType > , PDirectory , PStringOptions
- RemoveAll() : PArrayObjects , PCollection , PAbstractSortedList , PSafeCollection , PHTTPCompositeField , PXML , PSNMPVarBindingList
- RemoveAllFields() : PHTTPForm
- RemoveAt() : PSafeDictionaryBase< Coll, Key, Base > , PArrayObjects , PAbstractSet , PAbstractDictionary , PDictionary< K, D > , PAbstractSortedList , PStringOptions , PHTTPCompositeField , PSafeColl< Coll, Base > , PStringOptions , PAbstractList , PCollection
- RemoveElement() : PAbstractList , PAbstractSortedList , PXMLElement , PHashTableInfo , PXML
- RemoveGroup() : XMPP::Roster::Item
- RemoveHead() : PAbstractList
- RemoveItem() : XMPP::Roster
- RemoveNamespace() : PXMLElement
- RemoveNotifier() : PPluginManager , PInterfaceMonitor
- RemoveTail() : PAbstractList
- RemoveTarget() : PNotifierListTemplate< ParamType >
- RemoveWork() : PQueuedThreadPool< Work_T >::QueuedWorkerThread , PThreadPool< Work_T >::WorkerThread , PThreadPool< Work_T >
- Rename() : PFile
- rend() : PList< T > , PSortedList< T > , PList< T >
- Replace() : PString
- ReplaceAt() : PAbstractList
- RequestType() : PTimerList::RequestType
- Reset() : PTimer , PSharedPtr< T > , XMPP::Stream , PVideoInputControl
- ResetButton() : PHTML::ResetButton
- ResetMultipartFormInfo() : PHTTPConnectionInfo
- ResetPending() : PSecureConfig
- Resolution() : PTimer
- Restart() : PAdaptiveDelay , PThread , PDirectory
- RestrictAccess() : PVideoChannel
- Resume() : PTimer , PThread
- ReturnPathTag() : PRFC822Channel
- RGBtoYUV() : PColourConverter
- Right() : PString
- RightRotate() : PAbstractSortedList
- RightTrim() : PString
- Room() : XMPP::MUC::Room
- Roster() : XMPP::Roster
- RosterChangedHandlers() : XMPP::Roster
- RotateYUV420P() : PColourConverter
- RouteEntry() : PIPSocket::RouteEntry
- Row() : PODBC::Row
- Rows() : PODBC::Row , PODBC::RecordSet
- Run() : PScriptLanguage
- RunContinuous() : PTimer